.generated-label {
  margin-left: auto;
  font-weight: 200;
  font-size: 14px;
}

.external-capsule {
  width: 100%;
  height: 30px;
  margin: 1px 3px 1px 1px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  .capsule-left-color-indicator {
    border-color: var(--container-border-color);
    border-style: solid;
    border-width: 1px 0 1px 0;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    width: 6px;
  }

  .inner-capsule {
    border-color: var(--container-border-color);
    border-style: solid;
    border-width: 1px 1px 1px 0;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    background-color: white;
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
}

.information-grid {
  display: grid;
  grid-template-columns: 68px 1fr;
  grid-column-gap: 0.5rem;
  grid-row-gap: 30px;
  align-items: center;
}

.creation-modification-grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 1rem;
  grid-row-gap: 10px;
  align-items: center;
  margin-bottom: 20px;
  width: 100%;
}

.creation-modification-grid-half-left {
  display: grid;
  grid-template-columns: 68px minmax(0, 1fr);
  grid-column-gap: 0.5rem;
  align-items: center;
  overflow: hidden;
}

.creation-modification-grid-half-right {
  display: grid;
  grid-template-columns: 88px minmax(0, 1fr);
  grid-column-gap: 0.5rem;
  align-items: center;
  overflow: hidden;
}

.axis-information-row {
  display: grid;
  justify-items: start;
  grid-template-columns: 20px minmax(0, 100px) auto;
  align-items: center;
}

.custom-field {
  filter: brightness(180%) saturate(60%);
}

.text-ellipsis {
  display: inherit;
  text-overflow: ellipsis;
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
}
